from setuptools import setup
from pathlib import Path
long_description = Path("./README.md").read_text()

setup(
  name='hak',
  version='0.0.4',
  license='MIT',
  description='Function Test Pair Toolbox',
  long_description=long_description,
  long_description_content_type="text/markdown",
  author='@JohnRForbes',
  author_email='john.robert.forbes@gmail.com',
  url='https://github.com/JohnForbes/hak',
  packages=[
    'hak',
    'hak/bool',
    'hak/bool/or_none',
    'hak/bools',
    'hak/date',
    'hak/date/public_holiday',
    'hak/date/year',
    'hak/date/year/easter_sunday',
    'hak/datetime',
    'hak/dict',
    'hak/dict/frequencies',
    'hak/dict/proposed_dismantlement',
    'hak/dict/test_durations',
    'hak/dicts',
    'hak/directories',
    'hak/directory',
    'hak/fake',
    'hak/fake/os',
    'hak/fake/subprocess',
    'hak/file',
    'hak/file/pickle',
    'hak/file/py',
    'hak/file/secret',
    'hak/file/secret/password',
    'hak/file/secret/username',
    'hak/file/tar',
    'hak/file/zip',
    'hak/files',
    'hak/files/pyfiles',
    'hak/float',
    'hak/float/nan',
    'hak/function',
    'hak/int',
    'hak/int/days',
    'hak/int/year',
    'hak/int/year/days',
    'hak/int/year/days/count',
    'hak/int/year/days/first',
    'hak/list',
    'hak/list/strings',
    'hak/list/strings/contain',
    'hak/list/strings/pyfiles',
    'hak/lists',
    'hak/patch',
    'hak/period',
    'hak/pip',
    'hak/pip/dist_tar',
    'hak/pip/setup',
    'hak/pip/version',
    'hak/pyfiles',
    'hak/report',
    'hak/report/fail',
    'hak/schedule',
    'hak/session',
    'hak/set',
    'hak/setup',
    'hak/setup/cfg',
    'hak/setup/py',
    'hak/string',
    'hak/string/alphanumeric',
    'hak/string/append',
    'hak/string/char',
    'hak/string/chars',
    'hak/string/colour',
    'hak/string/colour/bright',
    'hak/string/colour/dark',
    'hak/string/contains',
    'hak/string/contains/function',
    'hak/string/digits',
    'hak/string/family_name',
    'hak/string/filename',
    'hak/string/fn_name',
    'hak/string/hbar',
    'hak/string/header',
    'hak/string/header/python_file',
    'hak/string/header/test_table',
    'hak/string/indent',
    'hak/string/insert',
    'hak/string/json',
    'hak/string/password',
    'hak/string/refactor',
    'hak/string/remove',
    'hak/string/replace',
    'hak/string/single_line_function',
    'hak/string/spaces',
    'hak/string/token',
    'hak/string/yyyymmdd',
    'hak/subprocess',
    'hak/subprocess/completed_process',
    'hak/system',
    'hak/system/git',
    'hak/system/git/commit',
    'hak/system/git/gitignore',
    'hak/system/screen',
    'hak/test',
    'hak/tup',
  ],
  keywords='hak',
  install_requires=[],
)
